### Enumeration

# Gimp MessageHandlerType

#### Declaration

    enum Gimp.MessageHandlerType

#### Description [src]

How to present messages.

#### Members

`GIMP_MESSAGE_BOX`

  A popup dialog.

  - Value: `0`
  - Available since: 3.0
`GIMP_CONSOLE`

  The terminal.

  - Value: `1`
  - Available since: 3.0
`GIMP_ERROR_CONSOLE`

  The error console dockable.

  - Value: `2`
  - Available since: 3.0